List your voice channels for US Zone
Returns the US Zone voice channels for your account. voice channels allows you to use Channel Billing for calls to your Telnyx phone numbers. Please check the Telnyx Support Articles section for full information and examples of how to utilize Channel Billing.
GET
/
inbound_channels
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const inboundChannels = await client.inboundChannels.list();
console.log(inboundChannels.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
inbound_channels = client.inbound_channels.list()
print(inbound_channels.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
inboundChannels, err := client.InboundChannels.List(context.TODO())
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", inboundChannels.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.inboundchannels.InboundChannelListParams;
import com.telnyx.sdk.models.inboundchannels.InboundChannelListResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
InboundChannelListResponse inboundChannels = client.inboundChannels().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
inbound_channels = telnyx.inbound_channels.list
puts(inbound_channels)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$inboundChannels = $client->inboundChannels->list();
var_dump($inboundChannels);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx inbound-channels list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/inbound_channels \
--header 'Authorization: Bearer <token>'{
"data": {
"channels": 7,
"record_type": "inbound_channels"
}
}Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const inboundChannels = await client.inboundChannels.list();
console.log(inboundChannels.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
inbound_channels = client.inbound_channels.list()
print(inbound_channels.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
inboundChannels, err := client.InboundChannels.List(context.TODO())
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", inboundChannels.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.inboundchannels.InboundChannelListParams;
import com.telnyx.sdk.models.inboundchannels.InboundChannelListResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
InboundChannelListResponse inboundChannels = client.inboundChannels().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
inbound_channels = telnyx.inbound_channels.list
puts(inbound_channels)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$inboundChannels = $client->inboundChannels->list();
var_dump($inboundChannels);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx inbound-channels list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/inbound_channels \
--header 'Authorization: Bearer <token>'{
"data": {
"channels": 7,
"record_type": "inbound_channels"
}
}